HINTS AND SOLUTIONS TO NAT'S WOLFENSTEIN 3D LEVELS

I have written this hint book for my levels of Wolfenstein 3D in order 
to disperse any rumors that my levels are impossible.  Hopefully, this 
guide should take you through any troubles that you run into while 
playing my levels.  Although there are many map editors available, one 
of which you should find and get, I would much prefer that you always 
look in this book to find clues you need for individual puzzles instead 
of ruining everything by looking at the level maps.  Many of the areas 
in my levels require intense reasoning and strategy development which 
will be ruined if you look at the layout, think a level looks boring, 
and move on to the next.  There are a lot of strange and peculiar things 
hidden in these levels, the finding and playing of which are the funnest 
parts of this set.  If you do not play through the levels that you think 
are too difficult, you will never find most of these.  Only for guiding 
your way through mazes or looking at levels you have already conquered 
should the maps ever be viewed.  This hint file begins with par times 
and best times and goes on to trouble-shooting, general tips, and hints 
and walkthroughs of each level.  In the event that this hint book still 
does not give you all the information that you need, look at the end for 
how to contact me.

TIMES: Since I can not change the executable, I can not change the par 
times of the game in the system.  I can tell you what I have chosen for 
them though so you can compare yours as well as my best times.  Levels 7 
and 8 are not included in E1 for special reasons so if you get times for 
them, chop them off your total.  All my best times are for that level 
with all the previous levels before.  Sometimes I barely won one level 
and therefore it takes longer for the next because I have to be more 
careful.  Other times, I purposely take longer for some levels in order 
to stock up for a later one.  Therefore, the total episode time is a 
better indication than the individual levels.  If you beat it, tell me.  
All these times have been gotten on the easiest setting so don't try to 
do this well on "Death Incarnate"!

E1 L1     Par:   1:30   Best Time:   :28
E1 L2     Par:   2:00   Best Time:   :58
E1 L3     Par:   4:00   Best Time:  2:40
E1 L4     Par:   4:30   Best Time:  2:59
E1 L5     Par:   3:30   Best Time:  1:53
E1 L6     Par:   6:30   Best Time:  3:30
E1 TOTAL  Par:  22:00   Best Time: 12:28

E2 L1     Par:   3:00   Best Time:  1:21
E2 L2     Par:   6:00   Best Time:  3:07
E2 L3     Par:   4:00   Best Time:  2:06
E2 L4     Par:   5:00   Best Time:  2:56
E2 L5     Par:   4:30   Best Time:  2:40
E2 L6     Par:   5:30   Best Time:  3:44
E2 L7     Par:   3:00   Best Time:   :49
E2 L8     Par:   3:00   Best Time:  1:51
E2 TOTAL  Par:  34:00   Best Time: 18:34

E3 L1     Par:   1:30   Best Time:   :46
E3 L2     Par:   6:00   Best Time:  5:17
E3 L3     Par:   1:30   Best Time:   :47
E3 L4     Par:   5:00   Best Time:  3:01
E3 L5     Par:   4:00   Best Time:  1:53
E3 L6     Par:   5:30   Best Time:  3:04
E3 L7     Par:   2:00   Best Time:   :40
E3 L8     Par:  12:30   Best Time:  9:53
E3 TOTAL  Par:  38:00   Best Time: 25:21

TOTAL     Par 1:34:00   Best Time  56:23



TROUBLE SHOOTING: Because my levels take advantage of many bugs in 
Wolfenstein 3d, there are also many unwanted problems.  Here are the 
problems I have noted and their solutions, if they have any.  If you 
know how to solve any of these problems better than I have, contact me.  
See end of hint book for details on how to do so.

PROBLEM: The game dies when I die and displays the error "Out of Memory" 
but I have plenty of memory for the game.

SOLUTION: This problem has plagued me and others since I began making 
levels.  For some reason, the game dies either the first or second time 
you die in certain levels.  I have tried everything imaginable to clear 
away this problem but all has failed.  The only remedy is to continually 
restart up Wolfenstein 3D or to be sure not to die (I follow that one 
anyway).  If your health is low and it is nessessary for you to die in a 
level to regain it, if you immediately load your game and die, the error 
usually won't occur, unless you die a second time.  Be sure to save 
after you die so that you won't have to do this again.  If you know of 
any way to stop this problem, contact me.

PROBLEM: All kinds of walls spontaneously change to gray stone walls for 
no reason.

SOLUTION: This is another strange bug.  The game temporarily overwrites 
the normal picture for the wall and replaces it always with gray stone 
wall.  Perhaps it does this because it runs out of memory for storing so 
many types of walls.  This problem can easily be cleared up by saving, 
quitting and restarting if the levels start to look too ugly, because 
the problem is not stored in the saved games.

PROBLEM: Some guys spring to life and kill me when I save or pause.

SOLUTION: Huge guards and Pac-Man ghosts can be placed on special floors 
to produce a certain effect, however for some reason, when you pause or 
save, they begin to behave normally, with sometimes nasty results.  This 
problem is a nuisance, but it can be avoided by simply never pausing, 
only saving in E2 L9, E2 L10, E3 L1, E3 L6, and E3 L10 and then 
immediately loading the game you just saved.  It's difficult to 
remember, but there can be problems otherwise.

PROBLEM: I see a lot of vertical lines appearing on my screen when I 
move that shouldn't be there.

SOLUTION: There must be 50 potential problems that cause this glitch to 
occur.  Some of them are only a nuisance.  Others produce random errors 
that can kill your game, destroy saved games and do other drastic 
things.  I can't provide an answer for all of these problems and I don't 
know the cause of most of them.  I did find that pushing blocks next to 
doors often causes this.  If this continues, contact me and I will try 
to find the problem.  Be sure to isolate when the problem begins to 
occur so I can find the cause.  This effect virtually always occurs in 
E2 L9 but doesn't usually cause major problems.  Since it is the last 
level in the episode, try to live with the annoyance.

PROBLEM: The game dies and gives the error "Bad sound Number".

SOLUTION: This problem often occurs in E3 L10 when you collect a crown.  
If this happens, quit and restart and try again and it probably will 
work.  This may also happen if No Clipping has been switched on in a 
level and you kill a guard, so I have taken all guards from levels with 
No Clipping.  If this occurs anywhere else, notify me.

PROBLEM: The enemies don't seem to hurt me.

SOLUTION: I haven't figured out how you often gain this temporary 
invulnerability.  Just consider it an advantage if this bug occurs.

PROBLEM: The game dies with the error "Walk: bad dir"

SOLUTION: This annoying problem occurs apparently at random when a huge 
guard sees you.  For some reason, when they are next to something solid, 
especially walls, they often try to walk into it and this results.  I 
could stop this problem by moving every huge guard so it is surrounded 
by empty space, but in some cases this is impossible while still 
maintaining the level the same as before.  Save your game before 
triggering one and hope it will decide to walk in the right direction, 
which it usually does.  This problem most often occurs when you try to 
rush past one very quickly from a strange angle instead of waiting a 
moment or two.

PROBLEM: In E2 L9 I quit the game and decided to play again later but I 
no longer had No Clipping so I couldn't move anywhere.

SOLUTION: No clipping is not stored in the saved game and therefore, you 
must restart the level if you quit the game.  This can be especially 
annoying if the game dies, but that usually doesn't happen.

PROBLEM: I was in E2 L9 or E3 L10 with No Clipping on and then I decided 
to load another game or start a new episode.  When I did so, my No 
Clipping continued on, even though I was no longer in the same game.

SOLUTION: This is caused by the same problem that No Clipping isn't 
stored in games but in the system.  This can be used to cheat in other 
levels, but PLEASE don't do this.  If you die while No Clipping is 
temporarily on, it will be on for good.  If anything like this happens, 
don't continue playing to find special secrets by walking through walls.  
Just quit and restart the game.

PROBLEM: I sometimes get stuck in the same square as something else and 
I can't move.

SOLUTION: This happens if an enemy walks into you, you and an enemy walk 
into a phasing wall at the same time, or you push a block and leap into 
the space it is pushed to.  In any case, you are doomed and have to 
restore.  If you are careful, this won't happen.
PROBLEM: Another problem occurred that wasn't mentioned here.

SOLUTION: This may be one of the many mystery problems that show up 
every once in a while, annoy you and then dwindle off and never appear 
again.  I have encountered several of this type.  If you find a 
continuing problem, write me explaining it and when it occurs so I can 
look it over.

GENERAL TIPS: Here are some general tips that will help you throughout 
the levels or ones I have no better place to put.

* Almost all (but not quite all) the treasure rooms in my levels are be-
hind tapestries, paintings, signs, banners, eagles, Nazi wreaths and 
other decorations.  I also hide pushable blocks in a regular wall 
between decorations and obvious other places such as at the end of a 
corridor.  There are a few exceptions, however.

* The best way to beat a host of guards or standard enemies is to hide 
to the side of a door at a distance after you open it into the room with 
the bad guys and then point your gun at the door and shoot them one by 
one as they go through.

* Be careful when entering a seemingly empty room.  There may be guards 
hidden in the walls who will pop out when you go in.  You can enter a 
wall that a guard has walked through.  This can be useful for getting to 
secret treasure rooms...

* Never waste ammo.  Some levels have little to spare.  You should try 
to use your knife when you can and your regular machine gun for guards 
and blue officers.  Only in emergencies or levels with vast amounts of 
ammo, use the bullet-wasting huge gun.

* If you encounter a huge guard (usually Hans Grosse) it means one of 
the following.

1: You have encountered the boss of the episode.

2: You have encountered the one huge guard in the game you must beat in 
a regular level, because he holds the key to the locked door right next 
to him.

3: You went the wrong way or walked into a trap.  Don't do it again.

4: You passed a huge guard you must be seen by and then must run from 
before you are destroyed.

5: You encountered a huge guard with a strategy you must use to get past 
unscathed.

Try to deduce which one it is or a combination and act accordingly.

* There are two secret levels in episode 1 and one in the other two.  
They can be reached from Episode 1, Level 1; Episode 1, Level 7; Episode 
2, Level 1 and Episode 3, Level 6.  Many special things are hidden in 
these levels as well as a ton of treasure if you can successfully 
navigate them.

* There are no flags in the normal areas of the game.  If you find one 
of the five hardest places to find in the game, you will see a flag 
there, usually accompanied by lots of treasure.  Try to find as many as 
you can.  Some levels are more difficult than finding these, but since 
you have to complete them to go on, flags are not put there.  

* Many levels have so many pushable blocks that it is impossible to col-
lect 100% of the secret.  Such levels are 3 and 6 of Episode 1, levels 
3, 5 and 7 of Episode 2 and levels 6 and 8 of Episode 3.  You should try 
for 50% instead.  Even that is incredibly difficult in some cases.  
Several levels have huge guards and/or Pac-Man ghosts.  Because of this, 
you can not get 100% kill ratio often, so go for 95%.

* It is even possible to do amazing feats such as killing ten blue offi-
cers with a knife if you duck behind a wall and wait for them to come 
one by one.  I had to do this once to 15 blue officers with 8% health on 
"I am Death Incarnate."

* Save often.  You'll be glad you did.  Save one saved game at the 
beginning of each level as you get to it and one or two more for 
exploring it.  Be sure to have more than one saved game, or you may save 
after doing something that made it impossible to win.  If possible, I 
would suggest using all ten saved game positions.

* After opening a door, if you see no guards, fire your gun and back up, 
ready to kill any that were around the corner and were aroused by your 
shot.

* If you in no way can beat the bad guys from the levels other than the 
huge guards, select an easier difficulty level and begin again.  DON'T 
CHEAT!

* Guards from other rooms may surprise you by coming in from all direc-
tions and slaughtering you.  Keep your eye on all the doors to make sure 
they don't open.

* If you shoot a guard in a doorway, the door will remain open.  This 
can be good or bad in your position.

* ALL LEVELS ARE POSSIBLE AND HAVE BEEN WON BY MYSELF ON THE MOST DIFFI-
CULT SETTING.  THIS HINT FILE IS TO HELP PLAYERS PAST THE MANY DIFFICULT 
STRATEGY AREAS OF THE GAME.  ONLY READ WHAT YOU NEED TO KNOW.  NEVER 
GIVE UP!

EPISODE 1: Episode 1 consists mostly of my original set of levels, some 
of you may also have played.  Some levels have been switched around to 
other episodes or taken out and most have been slightly altered.  The 
ending level of this episode is 7 instead of 9 and there are 2 secret 
levels to find.  Levels 2, 3, 4, 5, 6, and 10 remain almost the same as 
they were.

E1 LEVEL 1: Level one starts you out in a dark, musty cell WITH A LOCKED 
DOOR deep in the dank recesses of Castle Wolfenstein.  This is not the 
first Wolfenstein 3D level I made but the eleventh.  The level hinges on 
a little used tactic: it is possible to get through any kind of locked 
door by letting a guard or something else open it for you.  In most 
levels it would be considered cheating, but in this one, it is the point 
of the level.  This level is quite easy but a secret level is hidden in 
it and that is incredibly difficult to find and tests your skills in 
this field to their max.  You begin facing "south".

* Many people are initially stuck in this level because they can't 
figure out how to get out of the cell.  The answer is simple yet 
mischievous.  Fire your gun once.  A guard will come in to investigate.  
As he steps through the door, shoot him down so the door can't close and 
run out.

* Gun down all the remaining guards in the jail and collect their ammo.  
Be careful of the ones that hide in other jail cells.  If you can, wait 
till they come out and shoot them in the doorway so you can run in and 
collect some food.

* Take the only unlocked door out of the room and kill everyone in the 
huge room beyond.  A lot of them like to shoot you from behind.  Be sure 
to also kill the ones behind the green barrels.

* Since all the other doors are locked, you'll have to push the block 
between too wreaths on the right of the green barrel area.  This leads 
into the large wood area.

* The elevator can be found near the beginning of the area.  Take it if 
you want to.  If you want to find the secret level stay behind.  Since 
you know the theme of the level, try to find it on your own.  It has 
some of the hardest puzzles in the episode.  Read each hint one by one 
and try to solve the puzzle before going to the next one.

* Explore the entire wooden section.  Note a room with a small "window" 
blocked by a table that lets you see a locked door and blue walls.  Go 
into the next room after that, turn left, and push all the blocks till 
you find a secret door.  Push it but don't go in.

* Now go out the other door leading out of the room.  Find a hidden wall 
when you reach a dead end.

* Continue until you find another dead end, then walk into the right 
wall as you go in and push the block next to it.  Now push the block 
behind it.

* By continually pushing blocks, you can make your way through another 
group of cells.  When you enter a small short corridor, push the ending 
block but no others.  SAVE your game.

* Now enter the secret passage you found before.  Open the door inside 
and fire your gun.  Now run into the room with the "window" and look at 
the locked door.  Usually a guy will come through.  If he does, shoot 
him in the door.  If not, go back into the secret room and try again.

* You can get through the door you just "opened" by going back into the 
cells you pushed blocks in and pushing one more block in the small 
ending corridor on the side.

* Continue pushing blocks and opening doors until you reach another 
locked door.  Nevertheless, try to open it.  It will transform into a 
mossy stone wall and move normally.  Push out one more block and you 
will enter the room with the yellow key.

* There's a secret passage in the room with the yellow key behind a 
picture.

* The yellow key can open a lot of locked doors.  Use it first to open 
some of the cell doors and get back to the beginning of the level.

* By firing in the small right anteroom to the huge red one that you can 
now enter, you can have a guard open the other one and shoot him in the 
doorway.  If he continually doesn't come, he's been let out earlier and 
you will have to start over.

* The purple section is pretty simple.  Shoot the enemies and push any 
blocks you can, usually ones with blood, until you have finally 
navigated all the way through the area.  Go past the green barrels and 
collect the blue key.  Now travel back to the elevator.

* There's a secret in the purple area in the U-turn room right beyond 
the one with many suits of armor.

* The blue key will open some other doors including one in the wooden 
section that leads to another elevator and a bonus.

* You can walk through the side of the first elevator and reach yet 
another hidden area using the blue key.

* Explore the steel plated area, often pushing blocks, find the elevator 
in the center and go in.

E1 LEVEL 2: Level 2 is the level most like a regular Wolfenstein 3D 
level.  The walls are straight and it has a layout that could possibly 
be castle-like.  This level is pretty easy.  You start out facing north.

* There is food in the first door on the same wall to the right.  Head 
east and then north to find a huge gun.  Don't go farther without it.  
Collect the blue key by returning to the central room and taking the 
western door.

* There is ammo in a secret room found in the dog room to the east.

* Go through the southern door.  The doors to your right lead to corri-
dors with pushable blocks at the end.  If you push one, you can go push 
the other from the side, revealing a different stash of goods.

* If you go through the other door through the red brick area, remember 
that the yellow key is to be found in the area to the east or left as 
you came facing in.

* With both keys, you can collect the treasure from a room to the east 
and south of the central room, but it is not essential and is guarded 
well.

* Go north from the central room.  Taking the first two doors left will 
take you out of the jail area and into rooms filled with steel plates.  
There is a great deal of treasure and health scattered in the jail area.  
Look in every room and try pushing cells on the walls.

* In the steel area, it is hard to see doors.  Be wary of enemies and 
proceed through.  There is one more secret room in a small room 
somewhere in the steel area but it is hardly worth it.

E1 LEVEL 3: Parts of this level are shaped more like a cave than a 
castle.  This level seemed to give people much more trouble than either 
of the previous ones and it has more strategy in it than level 2.  You 
begin facing north.

* As you start out, there are small passages forward and to the right 
and left.  Begin by killing the guards quickly and then turning left.

* Explore the area.  There is a first aid kit down a passage-way.  When 
you have thoroughly explored it, go into the blue room with the passage 
to a room of steel plates.

* The room is long and oblong.  Keep to one wall.  When you find a first 
aid kit, follow the wall nearby until you find a sign you can push.  
Continue this until you find the right one, push it, and walk through.

* Now you will see the way blocked by a barrier of blocks in a checker-
board pattern.  There are many combinations that will get you through.  
A sure way, though is to push the left-most pushable block, then the new 
left-most block again and continue until you are through.  Don't push 
more blocks unless you are absolutely intent on getting as high a secret 
percentage as possible.  You may accidentally block your path back.  
Later, you will encounter the same pattern.  This time it is important 
always to push the right-most block.  You may block the way to the key 
behind if you do it wrong.  (Save first.) After you get the key, return 
to the beginning of the level.

* Now take the door to the right of the beginning.  (Just to be sure, 
it's the locked one.) You will then enter a wooden area inhabited solely 
by blue suits.  To the left, you may find some treasure, but the best 
thing to do is proceed through the right doors, conserving shots on the 
blue officers and grab the blue key.  Return to the beginning.

* Now take the one remaining door.  Pass through the red zone, killing 
the guards as you go, and enter the purple area.  There is a first aid 
kit hidden in  a corridor.  Take it and find the exit elevator nearby.

E1 LEVEL 4: This level is a complicated web of rooms.  Even I have 
trouble determining where I am.  You begin facing east.

* There is a stock-up right at the beginning of the level.  Push the 
elevator and the blocks to the right and left behind it and you will 
find health and ammo.  Save it till later when you return.

* There are a few ways to determine where you are.  There are three 
areas to the level.  The blue area and the red area are inhabited only 
by blue officers and have no doors, only pushable blocks between rooms.  
The majority of the space is gray brick.  In it, there are three 
landmarks in the shape of a swastika.  You begin in the first.  Try to 
orient yourself from there.  The other two each require a different key 
to open the doors leading from them.

* Begin by exploring the area around the center swastika.  There are oc-
casional pushable blocks leading to small secrets.  Position landmarks 
and memorize them so you can orient yourself.  (Like remembering where 
the decorations of a room are placed so you know where you are if you 
return to it later.) Eventually you will find a key.  Once you have, go 
to the center swastika and explore the opposite direction.  Find the 
correct locked door and proceed into the south-west swastika.

* Now it is important to remember the exact features of your view at the 
center of the swastika from your branch.  You will need it to orient 
yourself later.  Explore each of the other branches until you find the 
entrance to the blue area.

* The blue area is full of blue suits and is very difficult.  Save 
often.  After pushing a block into a room, hide behind it and shoot the 
enemy or enemies.  If you continue this strategy with success, you will 
find the other key.  There is some treasure worth getting beyond the 
room full of armor, if you want to brave a few extra blue officers.

* Here comes a hard part.  You must use what you remember to travel back 
to the original swastika and then find the other set of locked doors to 
the third one.  Make sure it isn't the old one by checking to see where 
the decorations are.  Now exit a different arm and continue until you 
find a door leading to the red zone.

* Now that you are in the red zone, there is no reason to go back.  
There are many paths in the red area that lead to the end.  Save before 
pushing blocks.  They may be stuck in the middle or my lead you right 
into an ambush.  Hardy souls can collect ammo and treasure by pushing 
blocks into treasure rooms.

* The ending is behind two elevator doors and many regular ones.  Once 
inside you will have nothing more to fear from the enemies.  Save your 
game (Don't wait until level 5.)

E1 LEVEL 5: Level five is one I consider very interesting.  I had a lot 
of trouble being stalked by the bad guys in this level instead of 
stalking them.  The route out of the level once you have both keys is 
also interesting, as well as long.  You start out facing north.

* You begin this level with the guns of four guards pointed at your 
head, with four others coming as well in a confusing block filled room.  
Now you know why you should have saved in level 4 if you didn't.  Shoot 
quickly as you run forward, killing the guard ahead of you as you get 
out of view of the others.  Run till you hit a wall, then turn right to 
a dead end.  Turn and shoot the guards one by one as they come in to 
view.  Be careful.  They may shoot you from around the corner.  A more 
daring, but a usually better working strategy is to go to the dead end, 
kill a guard, then run across, collecting his ammo to the opposite side 
before the other guards catch on, turn, shoot the next guy and repeat 
the process.  In any case, you must dispose of the guards before you 
open any doors.

* Now find the elevator into the level and take a door on that wall.  
You Should be in a gray area connecting to a purple one.  Explore it, 
killing all the officers and guards inside.  Be extra careful.  They are 
likely to form gangs and pop into the room you are in from all sides.  
The best way to prevent this is to watch all the doors and save your 
game in a room with only one which is safely closed.  Try to outsmart 
the gangs by getting in a position that gives you an advantage like 
sneaking up behind them and killing them all with a heavy-duty gun when 
they merge together in one room.  Try to conserve ammo!

* After all the enemies are dead, look for health kits and pocket the 
blue key found somewhere in the gray area.  Go to the red central room 
and realign yourself with the elevator.  This time take a right-hand 
door into a blue jail area.  There is some secret health behind a block 
at the end of the corridor.  The left hand side has some treasure worth 
getting.  But it is vital to collect the gold key a few rooms to the 
right from the hallway.  Return to the red room in front of the 
elevator.

* Now take the right one of the northern doors ahead of you.  (There 
should be piles of bad guys nearby if you took my advice.) You can con-
quer a few rooms and get a line of ammo between two rows of armor.  If 
you died in the level or needed more ammo before, you could get this at 
the beginning of the level instead.

* Now take the left northern door to the other side of the armor.  On 
the left wall is a locked door leading to the next part of the level.  
There is nothing really strategically tough about the wooden area.  
There may be a little treasure in it, but mostly you should just proceed 
through it.  Pass through the small steel rooms filled with dogs and the 
blue area.

* Now you should be in a gray area once again.  Quickly run down the 
corridor and turn.  You will see many corridors leading off to the 
right.  Some or all of those, depending on the difficulty will have 
officers at the end.  They get shorter the farther away they are, so run 
past very fast, killing only a couple.  Now try to conserve energy in 
the purple area beyond.  Don't take too long or the officers will catch 
up from behind.  Find the elevator and escape!

E1 LEVEL 6: Level 6 has the hardest puzzles in this episode that you 
must solve and has many huge guards.  All of them are in places you must 
travel through so the hardest part of the level is figuring how to get 
past the huge guards in the first place.  Each part has a different 
strategy.  You start out facing north.

* Save your game.  Be sure to save it under a different name.

* Go forward.  You will find yourself in a split room with two halves on 
each side of a line of wells.  If you turn right, you will come to a 
door that opens to reveal four huge guards.  What you perhaps can't see 
is the gold key behind the last one that you must get.  Note the po-
sitions of the doors on the side walls and restore.

* This is one of the hardest puzzles in the episode.  Unless you are 
really stuck, don't go on.  If you want a hint, here it is: The answer 
involves walking through the main door, through a side door, back into 
the room from the other side door, taking the key and returning, without 
the guards even seeing you! If you do read the solution steps, only read 
one at a time.

* Here is the complete solution: At the beginning of the level, there 
are two corridors branching off going left and right.  Push the block at 
the end of the right one.

* Now push one of the blocks from the blue jail cell through the path 
made by dead bodies.  (Dead bodies are the only thing you can walk over, 
but you can't push blocks through.)

* Open the door.  If you walk in, you would see you are on the other 
side of one of the doors to the right as you enter the deadly corridor.  
Now quickly push the block in front of the door and then through it.

* Go to the room of wells.  Turn left this time and fight through all 
the rooms without pushing any blocks until you find a tiny room with two 
small wall formations symmetrically inside.  Kill the enemies as you go.

* You must push all but one of the walls away, without blocking your 
path back.  Now repeat the trick by opening the door, and pushing a 
block in front and then through.  This may not work if there are the 
bodies of enemies blocking the way.  Kill them in the half of the room 
closer to the door you came in on.

* Almost there.  You should have smooth sailing now, but if you are 
STILL stuck, here is the final step.  Enter the corridor filled with 
huge guards from the normal door, so that you are facing them.  What? 
Where did that block come from? You pushed it through the right door, 
remember? Now push it one more time.  It will go back with some weird 
visual effects revealing the left door.  Go through it and out to the 
key and then return.  The huge guards are completely trapped and can't 
possibly see you.  Also, you may have noticed you can no longer walk 
through those doors you pushed blocks through.  Just a bug, I guess.  I 
have no idea why it happens.

* If you got this far before reading a hint, you should be proud.  If 
you just solved the last puzzle on your own you should be proud.  If you 
have had many hints already, try to go through this next difficult 
puzzle with no hints.

* Here is a hint before your solution: To solve this one, you must trig-
ger all three huge guards and use all three of the doors to the area.  
There are three pushable blocks in the center passage that must be used 
as well.

* You'll notice that if you go down one side of the purple room, you 
will come face to face with three huge guards, behind which lies the 
exit.  If you run down there and back quickly on both sides, you will 
trigger all three guards with minimal injury.  This should help you out 
somewhere...

* Go into the room split in half by wells.  Turn left and enter a room 
with a locked door and another regular one coming out.  If you killed 
any bad guys on the same line across the room as the door, start over 
and be sure not to next time.  Go to the tapestry on the wall and push 
it back.  Don't push the one behind it.  Go to the beginning.  Save your 
game.

* Go to the left passage.  You will find that if you push it now, it is 
the one behind the tapestry you just pushed away, pushed the opposite 
way.  Push it until it is two or three spaces from the door, so one more 
push would put it there.  If it doesn't work, restore.

* Now, run down the passage and to the end of the purple room, trigger-
ing two of the guards.  Now run as fast as you can to the door, escape 
and push the block so the huge guards can't follow you through.  Repeat 
the process on the other side from the next room.

* Now you have three guards trapped in an area that you unfortunately 
have to go into.  Try to get farther before reading more.  Save your 
game again.

* Speed down the center passage, and push out the blocks on either side 
and the block at the end.  If your timing is right, all three guards 
should be trapped between your block in front of both doors and the 
block you pushed out on that side.

* Now there is nothing left to do but push blocks through to the next 
part.

*You can find some health behind a blood-covered purple wall in the next 
room.  Take the southern (left) door into a gray room.

* There is only one thing especially hard about the gray maze.  At one 
point you will come to a dead end you can walk through.  There are two 
near each other.  One can only be walked through on the two highest 
difficulty levels.  Take the ammo and health and leave.

* There is a lot of ammo in the gray maze if you search enough.

* In the steel plate area, the main tactic is to be sure not to block 
your path.  All the blocks are pushable.  You can tell the boundary of 
the area because it has signs on it sometimes and its blocks are not 
pushable.

* The correct route lies along the right border of the maze.  If you are 
going for high kill and secret ratios, it is hard to find every room and 
kill the blue officers, and harder to push most of the blocks.

* Take the northern door from the purple room this time.  Don't go a 
step further once you are completely through.  SAVE YOUR GAME NOW!

* Now go forward.  You are in a blue jail with two small jail buildings 
inside the big area.  Unfortunately, the main inhabitants of the jail 
are huge guards.  As soon as you step forward, one fires at you.  Run to 
the left.  Go past the door and forward till you trigger the huge guard 
there.

* Now, pass through the first jail room, killing the dogs quickly.  As 
you come out the other side, you should have lured the two huge guards 
away.  Now go north and trigger the guard up there.  Go in the opposite 
direction and trigger that guard as well.  Run into the larger jail 
room.

* In the second room inside, there are huge guards trapped behind pil-
lars near the doors.  This makes it hard to exit the room without being 
shot to death.

* You can collect an extra life if push the blocks on the wall opposite 
the northern door in the right combination.

* Now you have a choice.  You can either go north through the door and 
push the block out and then run right and turn the corner, or you can 
just run, open the other door in the room, duck back as the huge guard 
shoots, and run through.  Either way you must get out on the other side 
of the jail room.

* Run right, or south and turn the corner.  With luck, the huge guard 
will be nowhere in sight.  If he is, hide behind the wall and wait till 
he is almost there.  Then save your game and bolt past him as fast as 
you can.  (It's tough.)

* Open a door and push some blocks from the room you enter back on it so 
the huge guard won't pursue you.  Also push the other door to keep him 
from coming through that way.  Over that hurdle!

* There's a huge gun, some treasure and ammo in a secret passage and a 
secret room inside that one.  It can be found by pushing the blocks in 
the blue room you should be in.

* Through a door is a block that can be pushed.  It will open a way to 
the beginning of the level.  If you didn't block off the doors from 
those huge guards before, they will be lurking around and you won't be 
able to get past.

* Through a locked door in the beginning area, you find enough health to 
heal your wounds.

* In the blue room, the final door takes you on the other side of the 
wells into the red zone.

* The rooms in the red zone are divided by objects that block your path.  
(But not the bullets of enemies.) Be careful as you search for the 
elevator that leads out.  Save again.

E1 LEVEL 7: Level 7 is the boss level, where you pit your strength, 
wits, courage and weapons against those of Hans Grosse.  Be sure to 
stock up during the level.  This level has an unexpected twist.  If this 
is the last level, what became of levels 8 and 9? Can you find them? 
They're worth seeing.

* This level is pretty simple actually.  Kill all of the guards in the 
first few rooms and collect the ammo and health.

* There's a huge gun hidden if you push a block in the room with stained 
glass walls at the end.

* In the blue area, there's a pushable block not on the wall but behind 
a cell on one of the large structures in the room.  Push another block 
and collect the blue key and the first aid kits nearby.

* Go through the locked door and make your way to the room filled with 
armor.  Stock up to full health and 99 ammo and then open the door on 
the right.

* Hans Grosse is in a room full of guards and 3 Pac-Man ghosts.  He is 
not too difficult to beat but save before opening the door.  Kill all 
the guards immediately before they cause a problem and take a few shots 
at Hans himself and then dodge away.  Now you have to worry about him 
and the more vicious invincible Pac-Man ghosts.  Collect all the ammo 
and health you lost and continually use this strategy: Lure the ghosts 
toward you, then dodge past and hide behind one of the large wood 
pillars on the other side of the room.  Jump out, shoot several rounds 
at Hans, and dodge back as soon as he starts firing at you.  Continue 
this until the ghosts get too close again and then repeat the process 
over again until Hans Grosse is dead.  Collect his key.

* You can open a few more doors with the key, but it is pretty useless.  
If you open the doors on the left side of the stained glass room, you 
will find yourself in a room filled with treasure and all the different 
types of bosses which will likely kill you in 5 seconds flat unless you 
play on the easiest difficulty level.  It is better to leave it alone.

* The key also opens the other door in the armor room that leads to the 
end of the game exit sequence.  Run out and escape from Wolfenstein.  
Congratulations!

* But, if you want to collect extra treasure and explore some more 
levels, there is a secret pattern of end-game triggers that forms an 
invisible maze.  If you hit any, you win, but, if you can avoid them 
all, you can get to the other side of the room and/or get the extra life 
nearby.  Be careful of the Pac-man ghosts, who will pursue you.  Lure 
them as far away as possible before attempting this.  If you get to the 
other side of the room, there is a pushable block.

* Push as few blocks as possible in the blue section and proceed 
through.

* Next you will find yourself in a gray room with bones covering the 
floor.  Each of the four doors has a guard inside it.  Shoot them inside 
the door before they run out if possible.  Then go through a door on the 
right and push the rightmost block.

* There is no way out of the steel maze the way you enter it.  Instead, 
as you go through the door in, push the left door slot out to reveal 
another part of the maze that eventually leads to an elevator and the 
second secret level.

E1 LEVEL 8: Level 8 is the second secret level in this episode.  The 
elevator leads back down to level 7 from the very beginning, so the only 
reason to go farther is to find the abundance of treasure somewhere in 
the level.

* In the first corridor, push the left picture.  Do not push the right 
one.  Collect all the treasure and then walk through the picture of 
Hitler and push the block behind.  Make your way through the walls by 
walking through the tapestries and paintings when you can.  Eventually, 
you will find a long bending corridor.  Go to the end, push out the 
final block and walk through the wall.  You will find yourself on the 
other side of the original corridor.  Walk through one more wall and you 
will find a key.  Now push out the block and you will be back at the 
beginning.  If you had pushed the block the other way at the beginning, 
the way to the key would have been permanently blocked.

* Open the door at the end of the corridor and kill the guys inside.  To 
exit the steel room, walk through a sign on the west wall.

* In the long chain of steel rooms, collect as much treasure as you dare 
and then speed away through another wall as soon as the huge guard 
begins to shoot at you.  There is one secret in the second room with a 
huge guard to the right as you come in but it is not generally worth it 
since you often die.

* After you get out of the last steel room and come to the door, go 
through it and then turn completely around and go through the other door 
on the same wall.  Quickly push the left block to block the huge guards 
from coming.

* As soon as you fire at the guard in the mossy wall room, two doors 
will open and out will pour blue officers.  Collect 99 ammo and 100% 
health and a huge gun and blow everyone away as they come, crisscrossing 
between the ammo and health side of the room when you need them.

* The second key is hidden behind a block in the dead end red room on 
the left side of the mossy room.  You can get farther by pushing the 
corresponding block in the red section to the right of the mossy room.

* Be wary of the blue officers and especially the Pac-man ghost in the 
next area beyond the purple maze.  In the next to last room on the left 
side there is a pushable block.  You can get back to the beginning of 
the level from here by walking into a wall and pushing a block in a room 
on the right side as you come in.

* Lure the Pac-man ghost through the gray corridors and into the room 
separated by lamps.  You can open one door but there is another beyond 
it.  Actually, there are over thirty in a row and you can only open the 
first.  This is a very difficult puzzle, but try to solve it without 
reading the solution.

* If you don't have 100% health, go back and collect it, but don't take 
the first aid kits in the split lamp room.  Be sure to SAVE your game.  
Now stand in front of the first door and wait for the Pac-Man ghost to 
come.  When it is about one square away from you, run through it, 
collecting the first aid kits to revive your health and spin around.  
Pac-man ghosts can not turn around on their own accord once they start 
going straight.  The ghost will have to hit the wall at the other side 
of all the doors before it can turn around.  But Pac-Man ghosts open 
doors instantaneously, so in less than a hundredth of a second, every 
door will be open.  Rush through at top speed.  Near the end, there will 
be a wall on the right you can walk through.  If you are too slow the 
doors will close around you and the ghost will kill you.

* Now you must go at top speed! You are in a huge blue section divided 
into rooms with secrets connecting them.  Because the ghost is only a 
few steps behind, you will have to create diversions for it by pushing 
out blocks in false paths and dodging around.  Study how a Pac-Man ghost 
moves to figure out how to avoid it.  This is very tough so save often.

* There is one door in the blue area.  Once you have left the Pac-Man 
ghost behind, try to find it.  The room beyond is full of treasure.  
Once you have found it, follow the left wall through the blue maze, 
pushing blocks as you go and watching for the ghost, until you find a 
long corridor, push the block at the end.  You will find yourself at the 
other side of the lamps in the same room as before.  Now take the way 
back to the beginning.  Be careful of the huge guards that may be 
lurking around.  Run into the elevator and return to level 7.

E1 LEVEL 7--AGAIN!: Level 9 is actually a return to level 7.  You begin 
in the elevator at the end and you must make your way back to the end of 
the game.  Even the guys are still dead and the blocks still pushed.

* The Pac-man ghosts you left behind are still after you and in the time 
you spent in level 8, they have advanced into the steel maze.  Weave 
around them by switching the corridor you are in when you see them.

* You can get out of the steel maze by finding a sign somewhere and 
pushing it.  It isn't easy to find.  This will lead you to a corridor 
that takes you back to the main room where you fought Hans.

* The locks have been changed on some of the doors so you need to find 
another key.  Find your way into the purple section from the red zone 
and go through a door in there back to the good old blue maze.

* Back in the gray area again, this time push the leftmost block through 
the first door on the left hand side.  A secret compartment holds the 
key.

* The room full of treasure is no longer infested by bosses.  Collect 
all the treasure and push blocks on the walls to get more.  There are 
also extra lives through the doors on the right wall of the stained 
glass window room.  Now where could those huge guards have gone to? They 
can't have just disappeared...

* Go through the door leading to the way out of the castle.  As you open 
the second door, run forward as fast as you can.  I won't spoil the 
ending.  It's worth watching!

E1 LEVEL 10: Level 10 is the biggest challenge of all in the realm of 
enemies.  It is divided into two equal parts, the labyrinth and the 
wooden area, each of which has its challenges.

* The labyrinth has many ways in and ways out.  There are also huge 
guards lurking down its corridors, but they can be avoided if you take 
the right path.  If you can find but one door every game in the 
labyrinth, all the others can be found by following the right or left 
wall.  Some purple areas that look like they are in the labyrinth are 
really small special areas not connected to the rest.

* Blue officers are the sole inhabitants of the wooden area, so don't 
waste shots.  It can be fatal.

* There are two huge treasure rooms that hold the level's treasure.  You 
must find them and the proper key to each.  The yellow key is in a 
secret passage in one of the smaller wooden areas.  The blue key is 
hidden in a special section of the purple labyrinth accessible from only 
a certain area of the wooden area.

* Look inside an elevator if you find it.  One is a false lead and is 
filled with a pillar.

* The wooden area must be approached in the right order or you will run 
out of health and ammo too soon.  There is a huge gun right beyond the 
first treasure room which is very helpful for the level if you have the 
ammo to use it.

* Push two blocks in a room with green barrels to uncover the elevator.

EPISODE 2: Episode 2 is a later set of levels with a higher level of 
strange things in them due to the fact that they were mostly created 
after I got the 6-episode system which added a lot of new possibilities.  
Episode 2 is also much more difficult than Episode 1.  Levels 1 and 3 in 
this episode were originally from my old Episode 1 but they have been 
moved and changed around slightly to make them fit the episode.  

E2 LEVEL 1: Level one was the first Wolfenstein 3D level I ever made.  
It has many secrets and treasure chambers although it is not too 
difficult to actually win.  You start facing north.  All directions in 
the hints are based on that.

* There is a secret passage between the two eagles in the stone room to 
the east of the cell.  In it, push the two leftmost northern blocks in 
the right order to receive an extra life.  Push the right one first and 
then the left one to the side.

* Collect the treasure from the wooden rooms to the north.  There is 
also a secret passage behind a Hitler painting in one of the rooms.  
There is another secret passage on a plain wall inside the first secret 
room.  It contains a machine gun.  It will help you greatly if you are 
on a difficult setting.

* If you scour the large room filled with dogs with the central room in-
side, you will find a small blue passage leading to the blue maze.

* There is no specific strategy for the blue maze.  Be careful of guards 
traveling through it.  They may shoot you from the side or behind.  Look 
for doors on the outside wall for an escape route.

* There is another secret in the steel-plated room.  Go through the door 
at the other end to find the golden key.  Now return to the dog room.

* Kill the bad guys and collect the treasure in the central rooms inside 
the dog room.  Then proceed though either the northern or western door 
into a gray corridor.  Push a banner out of the way and speed through 
the hallway beyond to the locked door.

* In the room of armor, go to the opposite wall and push one block jut-
ting out to the side, the one behind it back, and then one to the side.  
It will lead to a large secret area.

* But if you don't go in, just proceed through the gray stone rooms and 
take the left door when there is a choice until you find the elevator.

* If you do go in, take the ammo, go through the turning, dog-infested 
corridor, take the treasure in the rooms to the east (that's forward out 
of the corridor), and then proceed into the wooden area.

* In it, you will find many pushable walls.  To find a quicker route to 
the end of the level, push a certain block in a tiny room that opens a 
hole to an alternate path from the end.

* Collect all the treasure.  Then push a certain block to enter a blue 
area.  Once inside, go through the corridor, push another block and col-
lect the blue key.  Now head back and push blocks until you find a steel 
plated room.  Pushing a block in that will finally reveal the way to the 
hidden level.

E2 LEVEL 2: Level 2 is quite difficult because of its maze-like 
complexity.  The level is divided into 64 individual rooms connected 
primarily by doors in a checkerboard pattern.  Because there are so many 
rooms, it is easy to get lost and confused.  Few hints can be given for 
this level because there are few specific areas where things must be 
done.  You'll have to explore it on your own.

* There are few actual room types, each designated by their color.  Each 
red room is filled with blue officers and is mostly wide open with a few 
blocks in the corners with objects next to them.  Slime rooms are filled 
with vines and zombies.  Brown rooms are two perpendicular corridors 
meeting with a block in the intersection.  Purple rooms are mazes filled 
with dogs.  Gray-walled rooms have pushable blocks.  Blue-walled rooms 
are filled with treasure.  The remaining types, wood, steel, and blue 
stone, are standard rooms with specific block formations.

* You should first take the right door from the second room into a 
smaller area which contains the yellow key before going left from the 
room.  There are four first aid kits in the small section, two of them 
behind secret slime walls.  A room behind a different slime room has 
pushable blocks that if pushed in the correct order let you into a 
secret blue room full of treasure.

* In a blue stone room with a locked door near the beginning, do not 
push the block that is through the door in the wall directly to the 
right of it when you are facing it.  Wait until you have the key and 
then push it from a different side.

* There are 4 total blue treasure rooms.  Most are found by walking into 
a wall and then pushing a block and one is found by pushing a block in a 
purple room.  One of these is already in a secret hidden area.

* Be sure to conserve ammo and health.  There is about 150% or so of 
health but very little ammo until near the end, so be careful.

E2 LEVEL 3: Level 3 is unique in the fact that all the walls are what 
usually are decorations.  The level has many complicated sections.  You 
begin facing north.

* Secrets in this level are usually regular blocks in a wall of decora-
tions.  There are few but look carefully anyway.

* From the beginning, head east.  Proceed through the elevator rooms and 
the walls made of prison cells until you find the yellow key.  There is 
also some treasure.

* Be sure to collect the treasure, health and ammo that can be found in 
the many peculiar rooms to the west of the beginning.  They are guarded 
well.

* Save your game before heading north.  Be sure you are done with the 
entire area before you open the door.  When you do, run forward, 
triggering the huge guards to the side, and through the door at the 
other end.  Repeat this process in the next room.

* You will now see yourself in a huge room filled with a maze of dead 
bodies.  You can walk over them, but blocks can't be pushed over them.  
Push a nearest block through the maze so it blocks the door and seals 
the huge guards behind.

* Push the other block into position so one more push would block the 
northern door, the one to the left as you enter the room.

* Go through it.  In the purple room with the key, run and grab it.  As 
soon as you do, two huge guards attack.  Flee as fast as you can.  When 
you get to the body maze room, seal it behind you.  Go through the one 
remaining door.

* There's a lot of ammo and a huge gun hidden to the right as you enter 
the "steel with signs" room.

* You can find plenty of treasure and the like if you look in some dead-
end rooms.

* It's a long trek to the end of the level along the border of it.  You 
know when you have proceeded to the next area when the wall decoration 
changes.  When you get to the passage of darkness, you are about half 
way from the enemy maze to the elevator.  Conserve energy and life as 
much as you can.

E2 LEVEL 4: Level 4 is pretty straightforward except for a strange set 
of bugs I found and can use to my advantage to cause strange effects to 
occur throughout the level.  You start in an unoperational elevator and 
must make your way to another one not out of order only 2 blocks away.  
The path there is nevertheless quite long.

* Throughout this level, it would be prudent not to kill enemies in 
doors or save while doors are open.  This can make the level much more 
erratic and difficult.

* The ammo in this level is very sparse so try to get as much as 
possible in the previous level and conserve in this one.  Don't use your 
huge gun unless necessary.  Kill as many dogs as possible with your 
knife.

* Be careful of doors that cause you to run forward or turn around.  
While they are open, steady yourself by pressing the opposite direction 
on the keyboard and maneuvering with the mouse.

* There's a secret in the gray winding corridor near the beginning.

* Guards will shoot you from behind the armor in the steel room.  Do not 
return fire unless they are in sight.  Rush through quickly.

* Be sure to collect the first aid kit, ammo, and blue key accessible 
from the slime section full of dogs.

* The yellow key is very difficult to get.  Use your gun to mow down the 
line of blue officers behind the pillars if you have lots of ammo, or 
run as fast as you can, collect it, and run back.  If you choose the 
latter, be sure to pick up all the health in the room.  There is a 
secret behind a wall near the health.

* As you open the door to the blue jail area, your gun will fire 
uncontrollably.  Switch to a high level gun and mow down as many guards 
as possible or switch to your knife and then another gun to fire 
controllably.  If you choose the latter, you must first wait for the 
door to close before you can use your gun.

* Ignore the zombies unless you are good enough to get past them without 
being hurt badly.  There is a little compensation behind them.

* The red area has some ammo and treasure hidden in it, but you can get 
out early by taking the middle door in the second room that leads to a 
twisting wooden corridor.

* Push a block in a dead-end room in the purple area to get a huge gun 
if you don't already have one.

E2 LEVEL 5: Level 5 is the first level with what I consider a really 
truly unfair puzzle in it.  Before I have seen ways to figure out what 
to do at most of the hard puzzles, but this is even more difficult.  The 
interesting thing about this level is that it ends with you split up 
into different areas depending on your difficulty level you chose.  The 
easiest two are in one area, the third, another, and the hardest, a 
third.

* After you have explored the red area, find the corridor that leads to 
the blue area.  You can see the blue key from behind an object but you 
can't get it because when you get near, two huge guards come out to kill 
you.

* Instead, don't go into the blue area yet and push a block in one of 
the center walls toward the entrance to the blue area so that it ends up 
one square to the right of the entrance.  Then push another block from a 
different direction so it is stopped by the first and blocks the 
entrance.  Now push it all the way down the hall until it will go no 
further.  If it stops ever in the square where the side corridor joins 
the one you are in, you will be in a no-win situation so save before.  

* Push the cell to your right.  It will go back but not reveal anywhere 
new.  Now go down the next hall and through the door, through that room, 
and walk through the right wall.  Push the block back.  Now there is a 
problem.  The block goes at least 2 squares, back down the wall.  You 
want it to go only one so you can push it down the other corridor.  How 
can you accomplish this? Try to figure it out.

* Now is the fiendish part of the puzzle.  Load to when you just pushed 
the block to the end and pushed the cell aside.  Lure a guard down from 
the other corridor and then shoot him so he falls exactly two squares 
away from the block.  If you recall, enemies and dead guards stop blocks 
from moving, so now you can push the block to the correct position.

* Now go through the wall and push it.  Then push out another wall to 
the left.  Now you can push it from a new direction.  Keep pushing it 
until it won't go any further.

* Now go back and open the first door you opened in the blue zone and 
you will see the block on the other side.  Push it through the wall 
behind until it has hit another wall, but be careful not to be seen by 
the huge guards nearby.

* Finally, go through the door to the room and push the block so it 
blocks the way to the huge guards and then from another side to seal 
them in and unseal the door.  Stroll in and collect the key.  
Congratulations!

* There is some more treasure in the blue area.

* If you don't have a huge gun or are lacking ammo, go north (that's the 
direction you started out facing or right as you exit the blue area) and 
enter the wooden stage.  You will have to continually walk through walls 
at dead ends to find your way to the huge gun at the end and then make 
your way back.

* From now on you will be splitting up depending on your difficulty 
level.  I will put a 1* if it is for the easiest two, a 2* if it is for 
"Bring 'em on!" and a 3* if you are playing "I am Death Incarnate."

1* Find the doors from the red area that lead to the gray area with maps 
on the walls.  Collect the ammo, turn right and go through the door.  
Push the block and then push another block to reveal a new door and 
block the other behind you.

1* The purple maze is made of several 2x2 rooms with walls between them, 
some of them walkthroughable.  This is quite difficult because you often 
can't see your enemy.  Memorize the walls with guards inside them and 
fire.  Be sure to kill all the guards in a wall before you go in 
yourself or you might go in at the same time as a guard and be stuck 
inside the wall for all eternity, or until you restore your game.

1* There's another huge gun near the beginning of the maze if you didn't 
get the last one.

1* Once you escape the maze, stock up and open the door.  This is one of 
the two Hans Grosses you have to kill.  Hide behind the door when he 
shoots and use the huge gun to finish him off.

1* Both elevators are blocked.  Go to the left one and push the side 
out.  Now go around and exit from outside the elevator.

2* Find the gray stone room and finish off all the guards inside it.  
Then walk through the map-covered walls, collecting the treasure inside, 
and to the other side.  Through the door, push the block and then a 
second one which blocks the way back.

3* Find the gray stone room and finish off all the guards inside it.  
Then walk through the map-covered walls, collecting the treasure inside, 
and to the other side.  Kill any remaining enemies and then walk through 
the walls again.  You should see two huge guards staring at you.  Run 
out so they will see you and then run back behind the safety of the 
wall.  As soon as they melt through, run between them, turn left, 
collect the extra life, then turn around and zoom to the door.  Push the 
block so it blocks the way back and reveals a door.

3* The steel section is very tough.  It consists of one corridor one 
block wide, one wider corridor, and a square room filled with armor.  
Switch to your huge gun and save.  Now run into the first corridor.  A 
huge guard will immediately see you.  Now take the first door to the 
second corridor and run through.  Blow away the officers before they 
know what hit them.  Now, go to the other end of the wide corridor and 
lead the huge guard to you via the square room.  Now zoom past back the 
way you came on the corridor while he follows.  When he is about halfway 
to the bend, run in through the nearest door and navigate the path of 
armor.  Push the block on the wall, run in, and collect the key.  All 
this will be in vain though, if the huge guard manages to block the 
armor path before you get out.  If you make it, take the door he isn't 
at.

3* Now you have another huge guard guarding the locked door to the 
elevator.  Open the door nearest to him and step through so he will see 
you.  Now run back, sidestep the other huge guard and lure them both 
around the corner.  Dodge into the narrow hall and zoom down to the end 
with the locked door.  Open it, grab all the stuff and get out.  Phew!

E2 LEVEL 6: Level 6 is the only level with many solid objects other than 
walls that can be walked through.  This level combines several different 
ideas and has many individual segments.

* Two pictures of Hitler near the beginning each have secret passages 
with crowns in them.  If you need a huge gun, spot enemies who are 
popping out of the walls and then walk through and push the end block 
when they are all dead.

* Go through the door on the same wall as the original one and directly 
to the left.  Try walking through all the objects until you find one 
that you can pass through.  Save and push the block behind it.  If it 
only goes one block and then stops, a guard blocked it and you will have 
to restore.  This rarely happens.

* Repeat this pattern until you find the key in the wooden area.

* In the red zone, the huge room through two doors on the right wall has 
a secret in it that is worth getting if you kill all the enemies.

* The day-night room is quite difficult.  A huge guard will see you 
initially and more will as you move on.  There are smaller rooms in the 
rooms filled with vines and guards.  Lure the huge guard over and find a 
way to surpass him, either by going through the room or running past.  
Fire your gun rapidly and rush through the farther small room, 
collecting the key as you go.  Now try to get back to the door out.  
There is a first aid kit in each corner so be sure to collect them or 
you may run out of life.

* Collect ammo by pushing blocks past the second locked door and find 
the way out.  Luckily it is not a maze and is mostly straightforward.

* Push the left side of the second door on the left of the second blue 
room continually to collect some food and a first aid kit.

* Walk through a wall through the second door on the right of the second 
room of the blue area.

* Collect the ammo and health in the purple zone and gun down the 
officers from a distance unless you are really low on ammo.  You can 
collect the ammo they leave behind later.

* Its tricky to get to the other door to exit the purple area.  Keep 
trying.  If you give up, push the right of the second door in the next 
to last mini-room and then another block.

* The steel plate area is small but deadly.  Don't fire at the guard in 
the door.  Instead, lure him out, wait till the door closes and then 
kill him.  If you attack in the steel plated room, some guards will hear 
you, they'll open up some doors which have huge guards behind them which 
will make it much more difficult to win.

* Push some blocks and lure the dogs out so you can kill them.  Now by 
trial and error you can find the correct door.  Only a few are 
hazardous.

* Try pushing all the blocks in the room and on the walls and walking 
through everything.  There are three more bonuses to find.

* Before leaving the level be sure to SAVE your game.

E2 LEVEL 7: This level uses another perfectly possible but generally 
unused tactic as its base.  It has a time limit.  Actually, it doesn't 
have just one.  At various places in the level you will be tested to see 
if you got there in time.  This is the only level that rivals and beats 
level five and Episode 1 level 6 in incredibly difficult block formation 
pushing.  It is also the only level in which it is possible to make it 
almost impossible to win within the first 2 seconds.

* There is a gigantic treasure room complete with a flag hidden VERY 
well in this level.  Can you find it?

* Every once in a while in this level, you will find a secret and push a 
block.  If it goes out all the way, it is either a normal secret or you 
are on time to that place.  If it is blocked in the middle, you took too 
long and have to restore.

* If you explore the beginning area of the level, you will eventually 
find a corridor filled with huge guards.  By now you probably know you 
have to push blocks in to trap them.  Note the relative positions of the 
doors and strategically placed dead guards to guess at where you must 
push the block.  RESTORE your game.

* As soon as you start the level out, grab the machine gun and 
immediately shoot the guard you can see so he falls right on the other 
side of the door he is near.  SAVE your game under a new position.

* Shoot other guards nearby and then quickly turn left from the 
beginning and go through the door.  Rush through that room and be sure 
to kill everybody in the next.  Now run across the room through another 
door and push a banner on the wall.  You should be in plenty of time, 
unless you have dawdled.

* The ending block is pushable.  Push it.  Then push out a block on the 
left wall.  Go back out the corridor the way you came in, find the 
block, (kill anyone else you see, but only if they are in the room you 
are) and push it until it hits the wall.  Save, then open the door it 
should be next to, dash through the new hole in the wall leading to the 
corridor, duck through a false wall, push the block, and then push it 
again so that it goes through the door in time.

* Continue to push the block around the corner until it is in front of 
the other door.  Find a way around to the other side of it and push it 
again.  Now open the door it is now next to, push it in front and then 
through.  If you didn't kill the guard in the right place at the 
beginning, this won't work.  Be sure to move quickly all the time.

* Continue using this technique to get the block into the corridor.  In 
the final room, you will have to push it through a seemingly solid 
object.  Now go over to the left side of the room and push a wall block 
into the corridor to block the other huge guards.  Now you can stroll in 
unharmed.

* There's a secret in the first red room.  On the opposite wall is 
another time tester.  You have to have done everything relatively 
quickly to get past this one.

* Collect the key and food in the large red room.  You can push a block 
on the large red wall in the middle to gain treasure.

* If you kill the remaining officers in the red area you can pick up a 
huge gun and some extra treasure.

* The door requiring the yellow key is right near the beginning of the 
level.  You may have trouble getting back, since a lot of the doors no 
longer exist, but there is a correct path.

* There is a secret at the other end of the dog room.

* The elevator can be found in the blue section through the door to the 
right as you enter the first blue room.

* Push a block in the blue area on the left of the dog room for the 
third time test.  If you pass, run down the hallway and push the block 
at the end.

* Rush through the following rooms until you find a steel-walled one.  
Push a block in it for the final and hardest time test.

* The purple block maze is very difficult and confusing to navigate.  
You can push every bloody wall from at least one direction as well as 
every brown stone block.  There are three exits to the maze: The one you 
come in on, the one that leads into another part of the wooden section 
and eventually to the blue key, and a third that requires that you push 
many bloody blocks a short distance until you get to a small room with 
treasure in it.  From there you can push another block to get back to 
near the beginning.  There is a ton of treasure hidden in the maze 
behind bloody blocks.

* There is one vital part of the maze you have to get past.  If you see 
a green barrel when you push a block, that's good.  Then, try to find 
your way around so you approach the same area from the opposite side.  
You should not be able to push the block.  Now push out the bloody wall 
to your left and then approach the brown block from another side and 
push it.  Then push the new block blocking your way, and then the one 
now to your right.  Finally, by pushing the bloody wall to your left, 
you can get to a new section of the maze but it will still look the 
same.  If you don't push the first block revealing the green barrel you 
can still do the same thing except you may accidentally push the brown 
block on the other side which could now be pushed from the wrong side 
and seal the way before you.

* Use the blue key on the locked doors in the blue area right of the dog 
room.  You will find a huge treasure room in a giant elevator and a 
flag.

E2 LEVEL 8: Level 8 is chock full of treasure, ammo and health in 
secrets or through false walls at almost every tapestry, painting and 
wall decoration in the level.  It also pits you up against your nemesis, 
Pac-Man ghosts.  Because you can not kill them and they will always come 
after you, you have to be extra careful where you go and how long you 
take.

* The first room has a secret on a tapestry on the right wall, but don't 
push it.  Instead push a normal piece of wall, then another inside the 
cavity you clear out and other to reveal a better gun.  If you push the 
tapestry, the secret that leads to the gun will be blocked.

* Push both the right and left walls in between the first doors to 
collect ammo.

* The first key is in the last room as far as you can travel in the 
direction you start out facing.  Pass through a gray room with officers 
in it to find it.  Be sure to collect everything on the way.

* Use your key to open any of the doors to the corridors.  There are 
many secrets inside them as well.  Be wary of Pac-Man ghosts as they 
will likely begin to show up about now.

* Kill enemies and collect items as you go, trying every decoration on 
the wall.  Eventually you will find the only door you can open that 
leads to a blue area.  There are two, so be sure to find the one with 
only one entrance.

* When the door opens to a room filled with officers, your gun fires 
automatically.  Try to waste as few shots as possible, but don't be 
afraid to hide behind the door if they begin to overwhelm you.  Don't 
save while the door is open.

* Once you have both keys there are new treasure rooms open to you.  
Continue to collect anything you can.  Some hidden rooms are inside 
others inside yet a third or fourth.  Can you find them all?

* To get out, find a room filled with armor through one of the new 
corridors you can now enter and go through the door that leads to a blue 
room and then a corridor.

* The final two doors are set up so you can only have one open at a 
time, so be sure you left the Pac-Man ghosts way behind.  Switch to your 
huge gun and open the elevator door.  There are many zombies inside 
waiting to kill you.  You can not use the door hiding trick so use brute 
force to get past them.

E2 LEVEL 9: This is one of the strangest levels I ever made and has the 
most bugs.  Be sure not to load other games not in this level while in 
it, turn off the game midway through and then resume, or save your game 
without immediately loading it again after you do so.  You'll probably 
see some vertical lines in  this level appearing and your weapon may 
repeatedly change to a machine gun, but these do not pose major threats.

* The second room in this level looks very strange initially.  There are 
blue keys lying all over the floor in a maze.  But what could possibly 
be the harm in taking them? Don't take any of them.

* In the corridor through the door across from the first door are huge 
numbers of doors.  All of them are locked.

* Through the door to the right from the first door is a blue room with 
a network of small passages with blue keys blocking them.  Navigate this 
maze so that you take no blue keys but find the yellow key at the end 
and then navigate back.

* Now is the reason why you should not have taken any blue keys.  The 
locked doors in the corridor all require the blue key and lead to Pac-
Man ghost death except for one, which requires the yellow key and leads 
the right way.  Without the blue key you will find the right door right 
off, but with it it will be a long process of trial and error.  If you 
replay this level you won't have to navigate the maze again if you can 
remember the correct door to go through.

* Through the door is another locked door which requires the blue key.  
You can note the position of the door, go back and get a blue key and 
open the door, or you can note that there is a dead guard in the door, 
making it walkthroughable to the other side which has nothing but a blue 
key.

* But if you can get through the door anyway, where do you go now? Why 
would you need to get the key anyway if you can just walk through? You 
will know the answer if you open the door.  Did nothing seem to happen? 
Walk around a little more.  Surprise! After this, if you die in the 
level you will not have to repeat this beginning section again.

* SAVE your game.  Then RESTORE it again (you have to remember to always 
do this in this level).  Now explore the rest of the level as best you 
can.  You can tell your position by the wall color.  The boss is in a 
rectangle of slime walls.  Going out from there the order is brown, red 
with some multicolor bricks, steel plates, gray, brown stone, blue, and 
stucco.  Memorize these so you can orient yourself.

* Be sure to collect the huge gun.  It is slightly forward and to the 
right from where the special door is and surrounded by Pac-Man ghosts.

* There is some treasure scattered around in treasure rooms you may 
happen upon, as well as some rooms with Pac-Man ghosts and huge guards!

* The vast quantities of ammo and health are stored around a couple 
block types away from the center.  Be sure to repeatedly stock up.

* To make the chances of an error the slightest, make your original 
entry to the center through an area with walls with pictures of Hitler.  
Go all the way around the brown border until you find the right spot.

* The battle with Doctor Schabbs and his army of horrible mutants is 
very difficult.  To win on the more difficult levels you will have to 
approach the room from all different sides, each time taking out more 
mutants and getting a few shots at Dr.  Schabbs himself.  His two pet 
huge guards pose the greatest threat once the mutants are out of the 
way.  Never stay in the room for long.  Lure the huge guards to one 
location and the doctor to another and then run through, fire several 
rounds into him, zoom out, collect your ammo and health again and repeat 
the process until he is a bloody body on the castle floor.

* By the way, quit the game before playing another level or trouble will 
result.

E2 LEVEL 10: This level is very difficult but has a special strange 
effect never before used.  You have to be sure always to restore right 
after you save or you will be in deep trouble.  Luckily, in this level, 
it is obvious when you forgot to restore and you do not have to continue 
this once you have gotten a certain distance through the level.

* The only door in the first room opens into a short wide hall filled 
with huge guards! Luckily, they are all only statues and will not attack 
unless you shoot them.  If you saved and forgot to restore, they will 
all spring to life when you see them, like normal.  You must be vary 
careful not to hit one with your gun.  Back up, and shoot the guards 
carefully as they come or go through the maze after them always shooting 
your gun towards the wall.

* On the lower difficulty levels, you can collect some treasure by going 
right up to a huge guard in front of a door and firing with a huge gun 
at him while facing the wall.  For a while, as long as you don't back 
up, he can't hurt you.  On the harder difficulty levels this wastes 
ammo, though and you have to be sure not to trigger another huge guard 
by accident when the first one dies.

* Do not fire your gun in the slime area or you will cause many zombies 
to come after you.  In one of the zombie rooms there is a hidden huge 
gun but it is generally not worth it.

* Kill the officer and two zombies quickly and then push the right block 
behind them, then the left block and then the center block.  Run back 
through the maze of huge guards and close the door behind you.  As long 
as you don't go back in, you shouldn't need to restore after every time 
you save anymore.

* The steel room is filled with enemies and also has great quantities of 
health and ammo and a huge gun.  Be wary of the blue officers hiding 
around the room who try to blow you away from behind.

* There are several elevators for leaving the level prematurely that can 
be found by pushing some of the blocks in the cross-shaped structures 
around the room.

* As soon as you step through the door into the wooden corridor, a huge 
guard will try to blow your brains out.  Instead of obeying your first 
instinct and fleeing or attacking, run forward before he blocks the way 
to the side passage and zoom away from him down the halls of light.  In 
the first wood room at the other end, push the proper block to seal the 
way behind you.

* Yet another huge guard greets you from a distance in the purple 
section.  Kill as many guards as possible and run into the gray stone 
maze.

* The maze is complex and tough.  There are many doors, most of which 
lead to either a huge guard or a first aid kit.  If you find the proper 
way you will end up in a long thin hallway that will eventually end near 
a door.  The door leads into a room with about 30 blue officers in it.  
Open the door and go back and use the side door technique to kill all of 
the enemies.  There will be a couple left hiding in the room when you go 
back in.

* There is a secret in the blue room.

* Find your way back to the purple room.  It isn't easy and be careful 
of leftover guards and huge guards.

* Take the locked door and push the block to enter a giant secret room 
filled with treasure.  Take everything, push one of the steel plates in 
the center cross and exit the level before the huge guard comes back.  
Congratulations!

EPISODE 3: Episode 3 is the final episode that I created and consists of 
9 new levels and 1 old one, that used to be level 7 in the 1-episode 
version.  Some of the strangest and neatest effects are saved for 
Episode Three along with the classic confrontation with Hitler himself.  
You find the entrance to his castle and break in to his innermost 
chambers...

E3 LEVEL 1: This level 1 is strange because the boss of the episode is 
in it.  Unfortunately, you can't possibly beat him at this stage.  This 
level seems rather straightforward but it is really quite complicated.  
This level also is my best attempt yet at making dogs a threat.  It 
would be prudent to restore after saving your game in this level 
although it is not absolutely necessary.

* You begin in a room with many dogs to all sides except behind you.  
Run forward and collect the ammo.  Then dodge back and shoot all four 
dogs to your left.  Run and collect the ammo and then blast your way to 
the other side with the ammo you have to collect the last ammo.  When 
you run out of ammo, use your knife to finish off any remaining dogs and 
replenish your life with food.

* Huge guards will attack when you step out a few feet from the dog 
area.  On the first two difficulty levels they will be able to escape.

* Push the purple eagle block on the left wall and then walk through the 
doors always on the right side to collect the key and then go back.

* If you are playing on "Can I play, Daddy?", you can probably survive a 
mad dash through the locked door, past Hitler and his army of huge 
guards and through the door behind to the elevator.  If not, you will 
have to take the long route.  No matter how hard you try, you won't be 
able to beat Hitler so don't even think about it.  You will have to face 
him later.

* There is another wall you can push near the other one that leads on in 
the level.

* The dogs in the green barrel maze often disappear along with a lot of 
the maze itself but they can still attack.  To stay alive, knife as soon 
as you hear one attack you and keep as little of the maze in view at 
once as possible.  Find your way to the door at the other side of the 
maze that leads to the blue area.

* In the blue area, walk through the sides of all doors that you can.  
When you reach a dead end corridor with a dead guard at the end, push 
the end block and then backtrack and find the third exit to the green 
barrel maze.

* You can also walk through the sides of the doors in the brown zone.  
When you find a door leading to a long corridor, be careful.  Do not go 
in.  Instead walk through the side of that door and down the new 
corridor you see.

* You can walk through many walls in the enclosed brown area.  keep 
exploring until you find the big key.  Be sure to avoid the Pac-Man 
ghosts in some of the capsules.

* With the blue key in hand, find a locked door in the brown area that 
leads to a dead end wall when you open it.  Walk through its side and 
push a block.  This will lead to the other side of the Hitler room.  Run 
to the elevator and in before they see you.

E3 LEVEL 2: This level is very difficult and will probably seem 
impossible to anyone who plays it.  But it is one of my favorites 
because its special theme is so completely unique.  People think this 
level is hard for the wrong reason.  They see it as too many enemies to 
beat with their almost nonexistent ammo.  But what makes this level 
really tough is that you must do something you never dreamed of doing: 
Never kill anyone!

* There is no ammo or health accessible in this level so you must avoid 
killing any enemy and must thus never get noticed.

* You can easily surpass the first few guards by waiting until the white 
suits are more than 1 square away from you and slipping past when their 
backs are turned.

* Be careful about the guards in the red area.  When a guard turns a 
corner, he will see you so you will have to slip out of sight of a guard 
going around a corner.

* Find your way to the long red hall with the 5 marching white suits.  
In a way they are the clock of the beginning of the level.  You must 
arrive and leave at the right time so that they will be facing away from 
you.  When they pass the other door, go in and close it behind you.

* Now you will be in the blue section.  This section differs depending 
on the difficulty level.  1* is for the first two and 2* for the two 
hardest.

1* This section is very easy on the easiest level.  All you have to do 
is strafe slightly to the right until you can see the other side of the 
room between two blocks and then head forward so you are between them 
and turn right so that you don't go out the other end of the short 
tunnel they create.  Now walk forward until you hit the wall, turn 
right, collect the key and reverse the process to get out.

2* You must push many blocks to block the views of stationary white 
suits.  Before going anywhere, turn left and push a lone block which 
will block the side view of a white suit.  In the large formations 
directly ahead from the beginning, push a block on the left and one on 
the right but be sure not to get two near to the white suits as you do 
this.  If you are playing on the most difficult setting, you will also 
have to push one more block, the first one to the left of the beds to 
your right.

2* Now head left from the entrance to the level and into a small cavity 
with two white suits.  Push the block inside to block the side view of 
one guard.  Now save your game and prepare for the tightest squeeze 
ever.  You have to dodge between the two white suits without getting 
close enough for either to notice you.  If you succeed, push the block 
to your right, then go farther and push the block ahead and to the left 
of you and then the block behind it.  Return to the beginning of the 
blue area.

* NOW find a path forward to the other side of the blue area.  Go strafe 
to the right from the beginning until you see a passage to the other 
side.  Don't take it, but when you are about to go through it, turn left 
and you will find another path that is not guarded.  If you have pushed 
every block you should have, no white suits should see you.  If one does 
and you went the right way try to figure out which one is the problem 
and how to trap him with the blocks.

* Now that you are on the other side, you are almost there.  If you are 
playing on the most difficult setting, find another block to push to 
your right to trap the final guard.  Then take the path that weaves 
among the many beds and leads to the key.  A white suit will be standing 
right next to it with his back turned.  Inch up to the key and grab it 
without going too close.  Now turn around again and push the block with 
the body in front of it for a shortcut back to the beginning.  If you 
are playing on "Bring 'em on!", you don't need to push this last block.  
Just go forward to the wall and run down the corridor.  The guard won't 
be there, so you can take the key from the other side.  You can't take 
the shortcut back but it isn't that far back to the beginning of the 
blue area.

* There is a small secret on the other side of the blue area.

* If the white suits are facing toward you in the long hall, go back and 
do the blue section faster.  If not, slip back into the slipstream and 
continue following the guards around at a distance until you see a 
locked door.

* Despite the ammo and health you see in the gray maze, it is a red 
herring and can't ever be reached.  Ignore it.

* Next you will see a network of square corridors with guards walking 
around them.  Follow the first guard until he disappears through a wall.  
Walk into the wall and push the wall to your right.  Then go in the door 
nearby and push another block to block a second white suit in the room.  
Collect the blue key.  Follow the guard the rest of the way around until 
you find another door.  Go in and close the it behind you.

* In the innermost square of the corridors there is some treasure but it 
is difficult to get without being seen.

* The final area of the level is a bunch of connecting corridors with 
white suits in them.  Turn left as soon as you go in.  A foolproof way 
to get through is: Go forward past one intersection and then turn right 
at the second.  Go forward past one intersection and turn left at the 
second.  Go forward 2 intersections, then turn right and go forward 2 
intersections and then turn right and go forward two intersections, then 
turn right and go forward 1 intersection, turn left and go as far as you 
can and then turn left and go through the door.

* There is another way through the final section that leads to a secret 
treasure room but it is difficult to find.

* The final room of the level is filled with 50 white suits all facing 
away from you.  If you kill anyone anywhere else in the level, these 
will  come out to kill you and succeed.

E3 LEVEL 3: Level 3 is a bit of a break from the last two levels and is 
pretty easy and designed for stock-up.  It has interesting parts to it 
however, and it is unlike any other level I have made in that it is 
mostly wide and open.  You begin facing north.

* Go around collecting ammo.  As soon as you pass a block of stone wall, 
dogs will be released.  Be ready to fight.

* There is a machine gun in the room west from the beginning.  Be 
careful.  White suits will jump out of the walls as you come in.  Kill 
them first.

* All the central rooms in the level have something in the walls.  Shoot 
first and then blow them away as they come out.  If you walk in, you 
will be ambushed.

* Collect the two keys from two of the rooms.  Now go towards the steel 
wall.  Follow it until you see gray stone with a locked door.  Going 
through there a short distance will take you to the elevator.

* If you are plaing on "Death Incarnate", there is a secret area in the 
level.  Try to find it.

* To find the secret area, go to the room with the white suits and the 
machine gun.  Walk to the far wall, turn directly to the right and walk 
until you go through the wall.  On lower difficulty levels, you can't 
get through.

* Now push the block behind it while inside.  Push it again.  Open the 
door to the long corridor.  Save your game.

* Now fire your gun.  Tons of guards should pop out of the walls, 20 or 
30 at least.  Switch to your big gun, and run your fastest straight for-
ward firing constantly.  If you do it right, you will kill them all 
without getting hurt and not lose much ammo in the process from getting 
it as you go.

* Travel through the tiny purple maze and gun down the dogs.  Take the 
ammo.  You can shoot the dogs on the other side of the barriers if you 
want to save trouble later.

* Now save your game and open the door to the purple-walled room.  Fire 
your gun.  If nothing happens, run in and then out.  Eventually, 14 blue 
officers should pop out of the wall and shoot wildly.  Run back and use 
the strategy of going back to the side and shooting them as they come 
out the door.  Don't let even one escape.  Collect the ammo.

* There is a huge guard behind the door who it is better not to kill.  
Lure him into the room with the officers and then run through the walls 
and to the other end of the room and out.

* There's a secret passage behind a sign on the steel wall.  It leads to 
great rewards and a second elevator.

E3 LEVEL 4: This level is strange in that unlike most levels, there are 
several different paths that lead to the same goals.  The hints for this 
level often describe both ways or sometimes just the best.  After you 
have completed the episode, be sure to take a peek at the map of the 
level.  You may be surprised.

* There are some Pac-Man ghosts lurking around somewhere in this level 
so don't take too long to complete it or spend too long in one general 
area.  Usually, this is not much of a problem.

* Use the behind-the-door technique to get rid of the white suits in the 
room with many stoves.

* When you pass through the elevator and vine area you will be in a 
network of small parallel corridors.  Continue through them, always 
going right.  Be sure to turn and face the enemy who is waiting for you 
in most of them.

* The garbage area with stone, gray and marble walls can be deadly but 
there is a huge gun and treasure inside if you are game to get it.

* The purple area has some stock-ups in it so be sure to go in.

* There is a door in the leftmost tiny wood room with dog food in it 
that lets you skip a lot of another gray area.

* The gray area has some ammo in it, but it is usually better to skip 
it.  By taking the proper door and then turning right you will be in a 
corridor that is brown on the right side.  Push a bloody block to enter 
the wall and then continue pushing blocks and collecting dog food until 
you find the key.

* Once back in the room outside the tiny wooden rooms, be wary of Pac-
Man ghosts, which usually show up around now.  There are a couple of 
ways now to get to the second key.  The best is to take the other door 
in the room that leads to new rooms with zombies in them.  You may see a 
locked door, but it can not be opened with your key.  When you reach a 
large, strangely shaped room, there will be another locked door you 
should go into that will take you to near the key.  The second and much 
longer way is to go back through all the short parallel corridors and 
find the other end.  You will then enter many spooky rooms, empty except 
for the dull flame of many dark stoves.  Pushing a block and going 
through a door will take you to the other side of the same room you 
could have gotten to the other way.

* Be wary of the Pac-Man ghost in the room past the one filled with 
white suits.  Lure him away and then rush in and collect the key and 
first aid kit.  Lure him out of your way and run past again.

* The elevator is directly through the other locked door somewhere in 
the section filled with zombies.  If you found it before, retrace your 
steps.

E3 LEVEL 5: This level is quite simple once you know what to do but 
there are a lot of extra things to find if you explore the level 
thoroughly.  This is quite difficult.  The level is primarily many long 
parallel corridors connected together in a brick wall pattern.  The 
center of the level which is composed of many individual sections has 
the real level in it.  This is also the only level to use invisible 
force fields in it.

* You begin in the very base of the level in one of the longest 
corridors.  Guards and enemies attack from all directions.  There is no 
distinct strategy for beating them off.  Try not to get surrounded but 
don't stay in one place for too long either or the Pac-Man ghosts in the 
maze will catch up.

* After you have disposed of a fair number of the guards, make your way 
up the left side of the level, being sure to stay close to the far wall 
since in the middle corridor you will not be able to pass otherwise.  
The yellow key is hidden in the northwestern corner.

* The maze isn't really a maze if you learn its pattern and how it works 
so it is best to orient yourself for a while.

* Now there are a wide range of possibilities open to you.  You can 
access any part of the level from here.  Slightly back you can find a 
door that leads to vine-filled rooms and great quantities of treasure.

* Several doors lead to a large area of many rooms and different colored 
walls.  You can not collect any of the extra lives because they are 
behind force fields.  There are some goodies to collect though.

* Push a wall somewhere in this area.  This will lead to a room 
separated by objects into two parts.  If you kill all the officers in 
the room after that you can walk through the wall and collect a lot of 
treasure in the other half of the room.

* The door that leads to the elevator is very near the beginning.  As 
the best way to find it, go to the very longest corridor that reaches 
all the way across the level on the south side (the one you started on) 
and go to approximately the middle and then search around there for a 
door.

* 2 out of 3 of the first aid kits are behind force fields and can't be 
taken.

* There are more force fields in a purple room that has blue officers in 
it on harder difficulty levels.  Keep in mind that you can not walk 
through them but you and the enemies can shoot through them and the 
enemies wear special suits that let them travel through them as well.

* Don't give up when you find that a force field just barely separates 
you from the blue key.  Ignore it and walk through another wall that 
leads to a different blue key that you can take.

* You don't need to go out into the maze again to find the elevator.  
The locked door is right near the entrance to the section you are in.

E3 LEVEL 6: Although this level centers on block pushing, it is not 
quite so complicated as many of the others.  The way to the secret level 
is hidden VERY WELL somewhere in the level but you'll never believe how 
to get to it! It might be prudent to restore after saving in this level 
if you want to get to the secret level, that is.

* The beginning of this level is very bizarre.  You have been sealed 
inside a door inside a pillar.  By turning so you face the block to the 
left and pushing it, you can open a way out.  Unfortunately, you are 
trapped in the door still and can't move an inch.  When you see the 
guard, fire your gun once or twice until you are sure he has heard (you 
can't kill him from here).  Then wait until he comes and open the door.  
As soon as you see the expression on his face that he has seen you and 
is preparing to fire, fire another shot into his head and escape.

* The first block to push in the blue area is right around the right 
corner from the very beginning and just before you turn the next corner.  
Continue pushing blocks to get out.  Always go as far forward as you can 
into the cavity you clear out, pushing the block to your left and then 
the one ahead of you.  At the end you will have to turn around and push 
a block several times in a row to reveal a door.

* There is a huge gun in the area to the right as you enter the purple 
room.  You will have to walk through walls to get it.

* Push each block you can on the left wall.  The ones that you see a 
pile of bones behind when you push are the wrong way.  The two others 
lead to a special stock-up room or the way to later portions of the 
level.

* The wooden area should be pretty simple.  There are few possible ways 
to go wrong.  Continue pushing blocks out until you find another door.  
Be prepared to fight some enemies as you go and save often (restoring 
immediately after) in case an enemy blocks a block when you push it.

* The key is in the brown area.  There are many pushable blocks leading 
to it but I don't think there is a way not to get to it so keep pushing 
until you find the a way.

* Go back into the brown area.  Try pushing every tapestry or painting.  
You will eventually find your way to a locked door.

* The red room is very jumbled and complicated.  There are blocks and 
pillars everywhere.  There are two elevators, one with an interior and 
one without.  Push the one with an interior and then enter it.  If you 
push it the wrong way you can still win.  Just approach it from the 
other side, push it again and then go in.  The way to the secret level 
has something to do with this.

* For a start, to get to the secret level, you have to start out 
differently.  Before pushing your way out of the initial blue section 
the standard way, just face same way you face going out of the first 
door and then strafe as far left as you can and push that block.  Push 
other blocks nearby, saving often (restore after) until you find the 
correct path.

* It is difficult to see enemies in the hall of light.  Get closer to 
see them easier.

* In a gray room walk into the wall with a picture of Hitler on it.  Now 
you will be in a large area where every wall is walkthroughable.  There 
are many Pac-Man ghosts in the area that will not move unless you hit 
them or you forgot to restore after saving earlier on.  You can tell 
where they are because they are always behind blocks with pictures of 
Hitler on them.  Don't walk onto a block like that or you will die.  The 
exception is the first block so be sure to memorize its position and 
also that it is the only lone one.  By using the Hitlers to guide you, 
find the key and get out.

* At the end of the level a new challenge awaits you.  The only new 
thing you can do with the key is open the doors in this area which lead 
nowhere.  To get to the secret level you must get the elevator interior 
from the elevator to level 7 to the elevator to level 10, the other one 
you saw nearby.  This is far from easy.  First you must push it the 
right way so that it hits the elevator door but can still be pushed 
again.  To do this, push it from the far side.  Then open the door it is 
next to and quickly push it from the other side so that it goes through.  
Now there is a VERY long and difficult process where you must push the 
elevator interior all over the huge room and into the other elevator.  
Before pushing the block each time, scout around to see which way it 
should be pushed so it doesn't end up somewhere where you can't push it 
next time.  Save each time, but not under the same name in case you made 
a mistake.  You will have to push the elevator through each of the doors 
and twice you will have to push the block and then run before it 
completes its path to get to the right place so that you can push it 
next time.  After about 30 pushes, you should be able to get it into the 
correct elevator in the right place to take you to the secret level.  
Good luck!

E3 LEVEL 7: This level has caved in leaving only remnants of walls and 
pieces of rubble behind.  Unfortunately, it is also riddled with 
officers, guards and floating vampire Hitlers.  If you go to the secret 
level, you skip this level.  Your chances of winning this level go down 
the longer you spend in it so try to go quickly, but not so quickly you 
end up with low ammo or health.

* Floating vampire Hitlers are better dodged than killed, so learn to 
avoid the crossfire when there are several attacking you.

* There is a great deal of ammo lying around near the beginning.  The 
best way to collect it is ignore the bit at the beginning and travel as 
far to the left as possible.  You will then see a long trail of ammo.  
If you stay on that wall you will also find the key.

* You should now be facing with the left wall of the level to your left.  
Turn right so you are facing the opposite direction as the wall and go 
forward.  A huge gun will be nearby.  Ignore all the doors until you see 
two on one wall.  Go through and you will find yourself in a small, 
enclosed area with locked doors on the other side.  Go through, and 
collect the blue key.  This room is extremely difficult to find if you 
don't follow these directions.

* Now head north, or right as you exit the enclosed room, until you hit 
the boundary wall, avoiding floating vampire Hitlers and killing 
officers as you go.  Turn right and skirt the wall, collecting health as 
you go until you hit a locked door behind which is the elevator.  This 
level is immense and even though I created it randomly, there are some 
interesting-looking sections and more ammo and health and enemies.

E3 LEVEL 8: Level 8 is an extremely complex and difficult level and it 
also takes the longest.  My best time is almost ten minutes.  This is 
the only level ever to use the special tactic used in this level.  It is 
almost completely strategy and puzzles and many people will probably be 
trapped at the very beginning because they can't discover the way out.  
It has something to do with piles of bones...

* Lure all the enemies out with a shot and shoot them.  Now explore 
everywhere you can and try to push every block and walk through every 
wall.  You should quickly see that there is no time when this works.  
But you probably neglected a few walls because you assumed they can not 
be pushed, the three in the middle of the room.  Push the middle block 
to the near wall.

* This seems to do nothing.  But in reality it does.  Now open the doors 
into a room with a pile of bones in it.  Walk in.  Then walk out again.  
Repeat this process a few times.  Now look back at the block you pushed.  
The doors to the bone rooms and the bones activate switches that move 
the block through the wall, eating it as it goes.  The more times you go 
into the room, the farther the block is pushed.

* This is the tactic used throughout the level.  The block you pushed 
last can by pushed farther and through anything, eating walls and making 
solid objects walkthroughable.  Often a block will disappear.  Even if 
it is gone, it can still eat things away normally if triggered, so 
effectively it is still there.  Also, this effect sometimes doesn't work 
the first time, so do it many times and it more often doesn't work when 
the door to the room is too near the block itself.  Be sure to always 
check where the block is going.  If you push it two far, it might go out 
the side of the level and overwrite some other memory! To prevent this, 
I have designed the level so Pac-Man ghosts will appear if you push a 
block too far and go after you, but you still have to be careful.

* In the first red room directly to the right after you eat through the 
first wall, push a block.  Use the block-eat-wall method from the first 
doors to get it through the wall into the next room and then stop.

* All the elevators in the blue section are false.  To get past the blue 
area, turn far right from the entrance until you hit the wall then go 
forward and into that elevator.  Walk through the side.

* Try walking through all the bloody walls in the brown section.  When 
you find the proper one, go through the door and turn right when you see 
a gray stone wall.  Turn left around a corner twice and push the lone 
block ahead of you.  Be careful not to go too far forward or a huge 
guard will see you.

* The brown area has its own bone room.  Use it to make the block you 
just pushed eat through the wall.  This will take you back to the red 
section.  Continue making it move until it has eaten away the first 
block in the red room revealing the yellow key hidden underneath.

* Walk through a wall and push a block in the blue stone room across the 
hall from the red room.  Use the block-eat-wall technique to carry it 
through the first room and into a new one.

* Push a block in the new red room you just go to and use the block-eat-
wall trick to make it travel through the first room until it exposes a 
steel plated corridor.  Be sure to save your game if you haven't 
already.

* Now comes a tricky part.  In the purple area push a block and then 
have it eat the wall by use of the bones corridor which is nearby.  Once 
it has gotten through the wall to the next room, don't make it go any 
further.  Now push it normally from the right as you go toward it.  Then 
push it from the left so it is going the same way it originally was.  
Now use the block-eat-wall technique again so that it goes two or 3 more 
squares.  If it has only gone 2, push it the third.  Then push it from 
the left again and then the right so it is again going the same 
direction.  NOW go back and use the block-eat-wall technique AGAIN to 
gain access to the next room.  If the block disappears while you are 
pushing it before the last time, restore, but if you keep your eyes on 
it, this usually doesn't happen.

* In the room left of the brown stone-walled room, open the door and 
then run and push a block that would cover it.  Before it can, dash out 
through the open door as the block blocks the way behind you.  Now use 
the switches in the blue room past the room to the right of the brown 
stone room to make the block eat the walls and then disappear in long 
corridor.

* You can walk through the end of the long gray corridor and the end of 
the new section you see.  Doors will lead to three identical red and 
blue rooms.  In the first there is almost nothing.  The corridor through 
the door at the end has a pile of bones in it but it is a cruel red 
herring.  There is also a standard secret the pushable block of which 
should not be made to go any farther.  In the second room there is a 
block to push, and the third one's corridor really is one with switches 
in it.

* Make the block eat all the way through the left wall of the corridor 
until it reveals a wooden area but no farther.  Take a look at the door 
now.  It will look quite interesting.

* The door in the marble area with two sets of pillars has switches on 
it and a block nearby is pushable.  Use the tactic to get to the next 
room and then use it again with another block to get to the other sides 
of the pillars and then a third time to make some pillars unpalpable so 
you can walk through to another door.

* Now push a block in the purple area (last one I promise) and use the 
block-eat-wall tactic for a long time to eat out a lot of walls.  You 
will see it leads back into the blue elevator section.  Continue using 
the tactic until a key is uncovered.

* The end of the level is very near the beginning in the purple area 
just to the left and forward from exactly where you start.  You will see 
from strange and garbagy walls as you walk through leading to some slime 
walls that end in the elevator out.

E3 LEVEL 9: The final confrontation with Hitler himself awaits you.  You 
count your ammo, grit your teeth and embark on the final stage of your 
journey to the heart of the castle itself.  After you complete the 
episode, be sure to look at this one in the map viewer.  While it is 
specially designed to be shrouded from your view, it definitely looks 
quite interesting!

* Be sure to stock up in the room to your right before going anywhere.  
Don't open the door to your left.

* Fire as many shots in the FVH's (Floating Vampire Hitlers) as you can 
and finish them off in the blue room if you have to.

* In the wooden room, you'll have to seal off the white suits trapping 
Pac-Man ghosts.  Push the two closest blocks to block off two of the 
three, then push the second block on the first row as you come in to the 
right and then the third block on the second row to the left.  Then push 
it so it hits the other block and then keep pushing it to the left until 
it seals the final guy in.

* In the separated blue room, knock off the guards on the other side one 
by one until you have shot all the ones you can.  Then turn the corner 
and go over to the other side.  As you do so, you will temporarily lose 
your guns and be reduced to a knife.  Kill the remaining guards with it 
as best you can and switch back to a gun as soon as possible.

* Two FVH's guard some ammo and health in the center room of the larger 
red room.

* Proceed past the blue officers until you find the key and then return 
to the boomerang-shaped purple corridor.

* You now have a choice.  You can either rely on your ammo and the ammo 
in the room with Hitler to kill him or you can uncover a huge room 
filled with ammo.  If you decide to do the latter, ignore the locked 
door and return to the wooden room near the beginning.  Watch out for 
the Pac-Man ghost that likes to lurk around there.

* There is lots of ammo and a secret leading out in the brown area 
through the other door leading out of the wooden room where you trapped 
the ghosts.

* The blue key can be collected through a door near here.

* Another door leads to a room filled with ammo.  Collect all you can 
and then go through the other door.

* If you take the right passage from the next choice you will be in an 
area filled with chalices.  Push a block to reveal a huge gun.

* After navigating the blue maze, push a block in the steel room.  It 
won't lead anywhere but it may help later.

* After you are through with this section and have collected all the 
treasure, return to the purple, boomerang shaped corridor and go through 
the locked door.

* If you have the blue key you can open a door to a fair amount of 
unguarded treasure.

* Take the first door to your left first in this area unless you think 
you can beat Hitler with the amount of health you have.  After you kill 
the FVH's, go through the door and push a block in the health room as 
well as stocking up to fullest.  You may want to go back now and 
replenish your ammo, which has probably been drained.

* The next door on the left is the one directly before the final 
confrontation.  Be sure to save your game and switch to your huge gun.

* As soon as you open the door, fire repeated rounds to damage Hitler as 
much as you can.  White suits may or may not show up depending on the 
difficulty level.  If they do, temporarily ignore Hitler and try to gun 
down as many as them as you can without being surrounded.  Collect the 
ammo and health in the room when you need it.  If you need more, find 
the two doors somewhere in the room and push the blocks behind them.  
These will take you to the health room or the steel room pretty near the 
ammo room.  Using these you can attack again in full might.  When you 
are sure he is alone, concentrate your attention on Hitler.  The best 
way to beat him is to fire with your huge gun and make sudden darts away 
when he prepares to fire.  This is harder in his later stage but it can 
still be done.  Also use the large pillars as an advantage to hide 
behind.  When he emerges, shoot him and then jump behind another one.  
This should lead to eventual victory.

E3 LEVEL 10: Level 10 is the lair of the Pac-Man ghost and contains a 
wide variety of strange tactics and strategies that are among the most 
bizarre.  Collecting the treasure and finding the flag are almost 
impossible without some help but the way out of the level is pretty near 
the beginning.  It is vital that you restore right after every time you 
save.  Luckily in this level, you will see things go wrong very soon if 
you forget this.  After you finish the episode, take a look at this 
level from the map.  It will look interesting.

* Turn left initially from the first room.  Continue along the corridor 
until you make a U-turn once and reach the wall at the end of the 
parallel corridor.

* There is a secret behind a wall to collect if you want to collect it.

* This is the hardest part of the level.  I created a new type of Pac-
Man ghost to dwell in this domain.  This kind will not move until it 
sees you.  Actually, that is not true.  It will not move until you see 
it.  This means that you must never see any Pac-Man ghosts in this area 
and it is very tough to pull off.

* Start entering the area the opposite direction you would normally, 
facing the opposite wall.  Go backwards as far as you can.  Now strafe 
to the left until you see a cross right in front of you.  Go forward 
into the cavity and turn completely around to the right.

* Go forward and strafe slightly to the right and then go forward again.  
To your right is a door.  If you lack a huge gun, go in and walk through 
a red wall and then push a block to get one.  The difficult part is 
getting back realigned as you should be in the exact right position.

* Go forward as far as you can.  Turn 90 degrees to the left.  Now edge 
forward and strafe slightly to the right.  Then go forward and strafe 
slightly to the right again.  Then go forward and strafe slightly to the 
left.  Now go forward until there is a break in the right wall.  Align 
yourself with it and execute a 135 degree turn to the right.  Go forward 
and push the picture of Hitler.  Continue pushing blocks until you are 
out of the area.

* The walls of the purple area will grow red hot and kill you if you 
stay in a corner too long so be sure to keep moving around and not stand 
in corners.  Collect all of the treasure.

* Be sure to enter the marble-walled area facing straight or you may 
have problems.  There are five pushable blocks in the row of green 
barrels.  Push the two end ones and trap a Pac-Man ghost in each.  Then 
trap the remaining two with the two blocks near the end ones.  This will 
clear out the middle section.  Push the middle block.

* Find another block to push from the middle.  Then wait till you see 
the Pac-Man ghost that should be going back and forth in the corridor to 
your right pass you heading left.  Then push out the leftmost block you 
can to trap him in another section.  Then push the block to the right of 
that and go into the corridor he was in.

* You can pretty easily trap the remaining Pac-Man ghost in your way by 
waiting until he passes the block to the left and pushing it, trapping 
him.  Go into the area where he was and push the block behind him.

* Use this tactic again on the next Pac-Man ghost which is the first one 
back again for an encore.  Wait till he passes the rightmost block going 
right and then push it out, blocking him in another area.  Push another 
block out and then yet another to get into a side passage.

* Now comes the final part.  The yellow key is hidden in one of three 
doors in a row that the Pac-Man ghost continually opens and then lets 
close.  If you time yourself right, you can push out the last block on 
your right to reveal the doors when they're open, run through and 
collect it and then run back.  This will also release the ghost.  If you 
don't like him chasing you, find a wall you can walk through and push a 
block from there to cut off the chase.

* Now comes the dreaded second trip past the special Pac-Man ghosts.  
Load an old game and practice going through the first time and do the 
opposite on the way back.

* There is a lot of stock-up in the room directly to the right of the 
first one.  Collect as much as you can hold.

* There is a pushable block in the gray stone room that leads on.

* At the end of the blue and stucco room await 4 huge guards, either 
Hans or Gretel Grosse.  Use your huge gun, get right up to the first one 
and fire away.  Unless you go back or take too long, they won't be able 
to hurt you.  Do the same for two of the other huge guards (one doesn't 
block the way) but be sure that you don't actually shoot another as one 
dies or you will have to beat him/her normally.

* There is some treasure you can get by walking through wall sides at 
the other end of the brown-walled room but be careful of red hot doors.

* There is a door at the opposite corner of the brown room.  When you 
open it, no clipping goes temporarily on.  Don't save, load, or pause 
until it goes off.  If you die while it is on, quit and restart the 
game.  The blue key is between the green barrels in the room and guarded 
by Pac-Man ghosts.  Run through the barrels and collect the key without 
hitting any ghosts.

* If you are really fast, you can collect the treasure that looked 
inaccessible in the center of the blue and stucco room if you rush in 
and out again in time.

* The blue key opens the door in the pots and pans corridor.  This leads 
to a room full of treasure.

* The treasure is there, but where is the flag? This is even tougher to 
get.  Huge guards and Pac-Man ghosts are contained by enemies that will 
release the nasties if they die.  To find the flag you have to push a 
block on the right wall which means releasing them on that side.  
Avoiding them is quite difficult.  If you succeed, you will find 
yourself in a gray stone area with many more Pac-Man ghosts and two 
extra lives.  At the most remote corner of this area, the flag rests.  
There is also a big clump of elevators to get you out of the level.

* If you don't find the flag area you can still easily get out.  The 
elevator door is right in the first room but the elevator is bigger than 
normal.  For the maximum effect, open the elevator door and then walk 
forward a few paces and stop, still facing the same way.  Suddenly, you 
will begin unwillingly walking forward and will be unable to turn.

* The last area of the level is like a car racing game, except slower, 
do not help or hinder your speed but only use the arrows on the keyboard 
to move you side to side.  If you manage to evade all of the ghosts and 
make it to the other side of the level, you can get out.

A FEW FINAL WORDS: I hope you enjoy playing my three episodes of 
Wolfenstein 3D.  If you know how to solve any of the problems in the 
trouble-shooting guide that I never figured out or you need more 
information that was not covered in this guide or you have any questions 
or comments at all, send your E-mail to benrg@uclink.berkeley.edu.

